GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
gdcm::Element< TVR, VM::VM2_n > Class Template Reference

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::Element< TVR, VM::VM2_n >:
[legend]
Collaboration diagram for gdcm::Element< TVR, VM::VM2_n >:
[legend]

## Public Types

typedef Element< TVR, VM::VM1_n > | Parent
Public Types inherited from gdcm::Element< TVR, VM::VM1_n >
typedef VRToType< TVR >::Type | Type

## Public Member Functions

void | SetLength (int len)
Public Member Functions inherited from gdcm::Element< TVR, VM::VM1_n >
| Element ()
| Element (const Element &_val)
| ~Element ()
DataElement | GetAsDataElement () const
unsigned long | GetLength () const
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
VRToType< TVR >::Type & | GetValue (unsigned int idx=0)
Element & | operator= (const Element &_val)
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetArray (const Type *array, unsigned long len, bool save=false)
void | SetFromDataElement (DataElement const &de)
void | SetLength (unsigned long len)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const
void | WriteASCII (std::ostream &os) const

## Additional Inherited Members

Static Public Member Functions inherited from gdcm::Element< TVR, VM::VM1_n >
static VM | GetVM ()
static VR | GetVR ()
Protected Member Functions inherited from gdcm::Element< TVR, VM::VM1_n >
void | SetNoSwap (Value const &v)

## Member Typedef Documentation

template<int TVR>

typedef Element<TVR, VM::VM1_n> gdcm::Element< TVR, VM::VM2_n >::Parent

## Member Function Documentation

template<int TVR>

void gdcm::Element< TVR, VM::VM2_n >::SetLength | ( | int | len | ) |

inline

The documentation for this class was generated from the following file:

- gdcmElement.h